- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_IMF_Context_Class Struct Reference
Ecore Input Method Context Functions

## Data Fields
void(* | add )(Ecore_IMF_Context *ctx)
void(* | del )(Ecore_IMF_Context *ctx)
void(* | client_window_set )(Ecore_IMF_Context *ctx, void *window)
void(* | client_canvas_set )(Ecore_IMF_Context *ctx, void *canvas)
void(* | show )(Ecore_IMF_Context *ctx)
void(* | hide )(Ecore_IMF_Context *ctx)
void(* | preedit_string_get )(Ecore_IMF_Context *ctx, char **str, int *cursor_pos)
void(* | focus_in )(Ecore_IMF_Context *ctx)
void(* | focus_out )(Ecore_IMF_Context *ctx)
void(* | reset )(Ecore_IMF_Context *ctx)
void(* | cursor_position_set )(Ecore_IMF_Context *ctx, int cursor_pos)
void(* | use_preedit_set )(Ecore_IMF_Context *ctx, Eina_Bool use_preedit)
void(* | input_mode_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Mode input_mode)
Eina_Bool(* | filter_event )(Ecore_IMF_Context *ctx, Ecore_IMF_Event_Type type, Ecore_IMF_Event *event)
void(* | preedit_string_with_attributes_get )(Ecore_IMF_Context *ctx, char **str, Eina_List **attrs, int *cursor_pos)
void(* | prediction_allow_set )(Ecore_IMF_Context *ctx, Eina_Bool prediction)
void(* | autocapital_type_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Autocapital_Type autocapital_type)
void(* | control_panel_show )(Ecore_IMF_Context *ctx)
void(* | control_panel_hide )(Ecore_IMF_Context *ctx)
void(* | input_panel_layout_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Layout layout)
Ecore_IMF_Input_Panel_Layout(* | input_panel_layout_get )(Ecore_IMF_Context *ctx)
void(* | input_panel_language_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Lang lang)
Ecore_IMF_Input_Panel_Lang(* | input_panel_language_get )(Ecore_IMF_Context *ctx)
void(* | cursor_location_set )(Ecore_IMF_Context *ctx, int x, int y, int w, int h)
void(* | input_panel_imdata_set )(Ecore_IMF_Context *ctx, const void *data, int len)
void(* | input_panel_imdata_get )(Ecore_IMF_Context *ctx, void *data, int *len)
void(* | input_panel_return_key_type_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Return_Key_Type return_key_type)
void(* | input_panel_return_key_disabled_set )(Ecore_IMF_Context *ctx, Eina_Bool disabled)
void(* | input_panel_caps_lock_mode_set )(Ecore_IMF_Context *ctx, Eina_Bool mode)
void(* | input_panel_geometry_get )(Ecore_IMF_Context *ctx, int *x, int *y, int *w, int *h)
Ecore_IMF_Input_Panel_State(* | input_panel_state_get )(Ecore_IMF_Context *ctx)
void(* | input_panel_event_callback_add )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Event type, void(*func)(void *data, Ecore_IMF_Context *ctx, int value), void *data)
void(* | input_panel_event_callback_del )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Event type, void(*func)(void *data, Ecore_IMF_Context *ctx, int value))
void(* | input_panel_language_locale_get )(Ecore_IMF_Context *ctx, char **lang)
void(* | candidate_panel_geometry_get )(Ecore_IMF_Context *ctx, int *x, int *y, int *w, int *h)